Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 452499 - Z-order of VM console misbehaving
Summary: Z-order of VM console misbehaving
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: virt-manager
Version: 9
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Daniel Berrange
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-06-23 13:16 UTC by Andy Burns
Modified: 2008-10-08 10:32 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-10-08 10:32:57 UTC


Attachments (Terms of Use)

Description Andy Burns 2008-06-23 13:16:58 UTC
Description of problem:

When one or more VM graphical consoles are open they all compete (with each
other and with normal windows) to be the top-most window, even when they should
be behind other windows.

Version-Release number of selected component (if applicable):

virt-manager.x86_64                      0.5.4-4.fc9
libvirt.x86_64                           0.4.3-1.fc10
libvirt-python.x86_64                    0.4.3-1.fc10 
gtk-vnc.x86_64                           0.3.4-4.fc9
gtk-vnc-python.x86_64                    0.3.4-4.fc9
vnc.x86_64                               4.1.2-30.fc9 
vnc-libs.x86_64                          4.1.2-30.fc9
libvncserver.x86_64                      0.9.1-2.fc9 
vino.x86_64                              2.22.2-1.fc9 
vinagre.x86_64                           0.5.1-1.fc9 

How reproducible:
100%

Steps to Reproduce:
1. open a VM console,
2. position a foreground window wholly or partly on top of the console window
  
Additional info:

The only reason I have rawhide version of libvirt installed instead of .fc9
version is to work around an issue with virDomainCreateLinux()

Comment 1 Daniel Berrange 2008-08-08 12:32:17 UTC
In the console menu bar, is 'View -> Scale Display' enabled ?

Comment 2 Daniel Berrange 2008-10-08 10:32:57 UTC
Fixed in recent update


Note You need to log in before you can comment on or make changes to this bug.